BigSkippingCipherTest (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.test

## Class BigSkippingCipherTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.crypto.test.BigSkippingCipherTest

- All Implemented Interfaces:
    junit.framework.Test

      public class BigSkippingCipherTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BigSkippingCipherTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testAESCTR()`
    `void` | `testChaCha()`
    `void` | `testCipher(java.util.Random random, SkippingStreamCipher linearEngine, SkippingStreamCipher skippingEngine)`
    `void` | `testSalsa20()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BigSkippingCipherTest

          public BigSkippingCipherTest()

  - ### Method Detail

    - #### testAESCTR

          public void testAESCTR()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSalsa20

          public void testSalsa20()
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testChaCha

          public void testChaCha()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCipher

          public void testCipher(java.util.Random random,
                        SkippingStreamCipher linearEngine,
                        SkippingStreamCipher skippingEngine)
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`